import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6ImUzZTI5NzZlLTczNTEtNGJhYS1iODQ4LTM4OWY2ODkwN2VjNyIsInVzZXJuYW1lIjoiYWRtaW4ifQ.xC_g1BHPdbQPTl44sQn7yC-xGcLsbQx8NSotA186b9K1IrVzHdIp_ChTYmcBEhak8JeU5oGHYcNG2YVAJfL1CQ'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
